From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/dwm/
Date: Fri, 7 Jan 2022 20:44:52 +0000 (UTC) [thread overview]
Message-ID: <1641588232.7d990bcabd590dfd82805f630a3415189bf228a7.gyakovlev@gentoo> (raw)
commit: 7d990bcabd590dfd82805f630a3415189bf228a7
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 7 18:22:53 2022 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Jan 7 20:43:52 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d990bca
x11-wm/dwm: add 6.3
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
x11-wm/dwm/Manifest | 1 +
x11-wm/dwm/dwm-6.3.ebuild | 67 +++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/x11-wm/dwm/Manifest b/x11-wm/dwm/Manifest
index 2725cb600558..470bc70024fc 100644
--- a/x11-wm/dwm/Manifest
+++ b/x11-wm/dwm/Manifest
@@ -1 +1,2 @@
DIST dwm-6.2.tar.gz 25273 BLAKE2B 2bb9e5b900a1d73f3eb94cb8454580ec98930dbacbabec1f2bbd394eb96696873434b6ddea4ac95eb9d171de2c09c5d4ca0b30649836f7e25f4769f44d25a6eb SHA512 01abcab954e5b7c20d011e6fd9c28025271fea2e85610c928812f7c6a09f99d7f9e93d11ffc2d6a7aca894b3fa7e507c6c2fe5f26ff5ddcfc650a9bbaaa41e06
+DIST dwm-6.3.tar.gz 25351 BLAKE2B 06edd0454802d79a5c796951b0a95d5376f0363f0b93ce82569d38af4a96d528c58abf7b9e0f78bb50b48ce8cee0c7993e08fafc8593bc63be6df87c17974f40 SHA512 285bf5e7f419b7bd6d7cd23548a5cb3dce84879b7e841ed3eb08c226f28c8782e37bce2bc481b2e90c4f2160f79d239476d56f01985af0d38a39fb9dce43dede
diff --git a/x11-wm/dwm/dwm-6.3.ebuild b/x11-wm/dwm/dwm-6.3.ebuild
new file mode 100644
index 000000000000..4ff4f401873f
--- /dev/null
+++ b/x11-wm/dwm/dwm-6.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit savedconfig toolchain-funcs
+
+DESCRIPTION="a dynamic window manager for X11"
+HOMEPAGE="https://dwm.suckless.org/"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.suckless.org/dwm"
+else
+ SRC_URI="https://dl.suckless.org/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="xinerama"
+
+RDEPEND="
+ media-libs/fontconfig
+ x11-libs/libX11
+ x11-libs/libXft
+ xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+ ${RDEPEND}
+ xinerama? ( x11-base/xorg-proto )
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s/ -Os / /" \
+ -e "/^\(LDFLAGS\|CFLAGS\|CPPFLAGS\)/{s| = | += |g;s|-s ||g}" \
+ -e "/^X11LIB/{s:/usr/X11R6/lib:/usr/$(get_libdir)/X11:}" \
+ -e '/^X11INC/{s:/usr/X11R6/include:/usr/include/X11:}' \
+ config.mk || die
+
+ restore_config config.h
+}
+
+src_compile() {
+ if use xinerama; then
+ emake CC=$(tc-getCC) dwm
+ else
+ emake CC=$(tc-getCC) XINERAMAFLAGS="" XINERAMALIBS="" dwm
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}"/dwm-session2 dwm
+
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/dwm.desktop
+
+ dodoc README
+
+ save_config config.h
+}
next reply other threads:[~2022-01-07 20:44 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-07 20:44 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-23 10:42 [gentoo-commits] repo/gentoo:master commit in: x11-wm/dwm/ Petr Vaněk
2024-04-21 12:34 Sam James
2024-04-21 12:34 Sam James
2024-04-21 12:34 Sam James
2024-04-21 12:34 Sam James
2024-04-21 12:34 Sam James
2024-03-20 15:41 Petr Vaněk
2024-03-20 15:41 Petr Vaněk
2024-03-20 15:41 Petr Vaněk
2024-03-20 15:41 Petr Vaněk
2023-08-04 9:22 Sam James
2023-07-08 3:39 Sam James
2023-07-07 10:14 Sam James
2023-07-07 3:36 Sam James
2023-07-07 3:36 Sam James
2022-10-07 19:09 Georgy Yakovlev
2022-10-07 19:09 Georgy Yakovlev
2022-09-23 20:34 Georgy Yakovlev
2022-09-22 8:04 Jakov Smolić
2022-09-22 8:04 Jakov Smolić
2022-09-22 8:04 Jakov Smolić
2022-09-22 7:44 Agostino Sarubbo
2022-09-22 7:42 Agostino Sarubbo
2022-03-16 17:07 Sam James
2022-01-07 20:44 Georgy Yakovlev
2021-09-21 13:41 Yixun Lan
2021-07-15 21:42 Sam James
2020-11-03 21:55 Georgy Yakovlev
2020-07-10 13:23 Sam James
2020-07-01 11:00 Jeroen Roovers
2020-06-11 8:31 Agostino Sarubbo
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:49 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-05 6:56 Jeroen Roovers
2019-02-19 14:59 Fabian Groffen
2019-02-05 15:35 Jeroen Roovers
2018-07-07 11:40 Johannes Huber
2018-06-27 22:15 Sergei Trofimovich
2018-06-27 21:54 Sergei Trofimovich
2018-06-26 18:43 Mikle Kolyada
2017-10-08 8:14 Jonas Stein
2017-09-10 21:47 Jeroen Roovers
2017-08-31 10:33 Jeroen Roovers
2017-03-31 9:54 Michael Weber
2017-01-21 12:56 Jeroen Roovers
2017-01-21 12:52 Jeroen Roovers
2017-01-21 12:52 Jeroen Roovers
2017-01-21 12:40 Jeroen Roovers
2016-09-01 9:40 Patrice Clement
2016-09-01 9:40 Patrice Clement
2016-05-13 8:41 Agostino Sarubbo
2015-11-14 16:08 Patrice Clement
2015-10-31 9:36 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1641588232.7d990bcabd590dfd82805f630a3415189bf228a7.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox